﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image bg black = "bg3.png"
    
    ## Fades ##
    # Fades to black, then to the new scene.
    $ fade = Fade(0.5, 0, 0.5)

    # Declare characters used by this game.
    $ m = Character('Me', color="#ffaaaa")
    $ u = Character('Young Woman', color="c8ffc8")
    $ g = Character('Sally',  color="c8ffc8")
    $ h = Character('Editor', color ="#3333ff")
    
    # State variables
    $ met_sally = False
    $ points = 0

# The game starts here.
label start:
    scene bg black
    $ points = 0
    u "This part always makes me nervous."
    "You look up from your magazine, a month-old GamePro left casually in the waiting room. Nothing you haven't already read online."
    u "The interview, I mean."
    "The young woman shifts her mouth in a strained imitation of a smile."
    u "Like, I know my stuff. I know I'm a damn good writer."
    u "But I always seem to break down under... verbal questioning."
    menu:
        "Do you want to do a practice interview?":
            jump l1
        "[Ignore her]":
            jump l2
            
label l1:
    $ met_sally = True
    u "Oh, that'd be swell!"
    m "Okay, then. Tell me about yourself."
    u "I'm Sally Moss. 24. Born and raised in San Diego."
    g "I have my bachelor's in journalism from Berkely, and have been editing the site GoGamerGirlz for the past three years."
    m "Tell me more about GoGamerGirls."
    g "Oh, well, I absolutely love games. FPS, racing, strategy, indie, you name it."
    g "But there are some really creepy people everywhere you go online."
    g "Like, any time I try commenting about games on one of the major sites..."
    g "And identify myself as a girl..."
    g "There's always this torrent of misogynistic dialogue aimed at me and my gender."
    g "Asking to see pictures of me, death threats, sexual innuendo, and worse."
    g "I just wanted a place to talk about games where I didn't have to worry about any of that."
    m "How is that working out for you?"
    g "Well, we're a small staff. Just me and three other writer-editors."
    g "We generally get around 5.000 unique monthly visits, and about 100 active commenting users."
    g "Ad-wise, we make enough to cover bandwidth and not much else."
    g "Last month, one of our blog posts got linked on Kotaku. In a positive light, mind you."
    g "Still didn't stop a mass of assholes from flooding our comments. We got absolutely no writing done for a week while we dealt with moderating those children."
    m "So would you say you consider yourself a feminist?"
    g "I would."
    m "I just have to ask..."
    m "Why are you applying for a job at IGN?"
    g "..."
    g "I..."
    "Her mouth opens and closes a few times. Her eyes fail to meet my steady gaze."
    m "Sally, would you please answer the question?"
    g "Damnit, I know they're going to ask this question. I had something prepared..."
    "She rifles through the pockets of her worn, patched jeans."
    m "Sally?"
    "She quits her search and looks me in the eyes."
    g "Err... I felt that I would bring a unique experience to the IGN brand?"
    m "You are aware that IGN has several female employees?"
    g "It certainly doesn't feel like it..."
    m "Amen to that."
    m "Seriously. Mock interview aside, why {i}are{/i} you applying here."
    g "Honestly, I'm not making enough from GoGamerGirls to pay my rent, but games journalism is all I know."
    g "I know IGN's reputation. Read enough of their articles to see my views aren't exactly welcome here."
    g "But they're pretty much the same as everywhere else."
    g "Do I hope that they'll change what they're doing? Absolutely."
    g "Do I think I have a shot at promoting this change? Not a chance."
    m "That's rather defeatist."
    g "Hey, I need a job. Maybe after I get entrenched, I'll start changing things for the better."
    g "I'll be a {i}sleeper agent{/i}!"
    "You cannot help but grin at her enthusiasm."
    g "So how'd I do?"
    menu:
        "9/10":
            jump l1a
        "8/10":
            jump l1b
        "7/10":
            jump l1c
            
label l1a:
    g "Awesome! I rock!"
    jump l1d
    
label l1b:
    g "Okay. I'm feeling a bit less nervous now."
    jump l1d
    
label l1c:
    g "Ouch! That bad?"
    jump l1d
    
label l1d:
    h "Miss Moss, could you step into my office?"
    g "Well, that's my cue. It was nice meeting you, miss..."
    m "Elsa Beckett. Break a leg in there!"
    g "Thanks."
    "Sally strides confidently towards her interview."
    jump l2a
    
label l2:
    "You turn your gaze back on the magazine."
    u "Oh, I guess not."
    u "..."
    u "Anything good in there? I haven't read GamePro since middle school."
    m "Just the usual. Hyperbolic previews. Analysis-free reviews. Sex jokes on every other page."
    u "I see."
    "Several minutes pass in silence. You skim a picture-heavy article detailing recent developments in breast physics."
    "Is that another spelling error?"
    "Nope, just a poorly telegraphed sexual pun."
    h  "Miss Moss, could you step into my office?"
    u "Bye, miss. Good luck with your interview."
    "You nod noncommittally."
    "The young woman walks meekly towards her interview."
    jump l2a
    
label l2a:
    "You read a preview of the latest FPS sequel. It will have at least five new guns. This fact orgasmically excites the writers somehow."
    "Could you have written this article? Perhaps. If the money was right."
    "It's not necessarily a hard mindset to inhabit, that of a teenage male or a forty-year-old man suffering from arrested development."
    "The quadruple rocket launcher is {i}awesome{/i}."
    "The quadruple rocket launcher is {i}tit-squeezingly awesome{/i}."
    "The quadruple rocket launcher will blow you away with its {i}tit-squeezingly awesome raw machismo{/i}." 
    "Something like that."
    if(met_sally == True):
        g "You asshole!"
        "Sally comes running out of the editor's office."
    else:
        u "You asshole!"
        "The woman comes running out of the editor's office."
        
    "She leaves the building without saying another word."
    "I wonder what that was about?"
    h "Christ. Women..."
    h "Okay, Miss Beckett, could you please step into my office?"
    "You follow the middle-aged editor inside."
    jump l3
    
label l3:
    scene bg black
    with fade
    "You recoil instinctively upon entering his office."
    "It's not just the lack of natural light, or the musty air that implies he knows not how to open windows."
    "Nor is it just the anime posters that adorn the walls, featuring crudely drawn simalcrum of women that could pool their wardrobes to create perhaps a single tasteful outfit."
    "It is the panoply of odors that violate your nostrils which sets you most at ill ease."
    "A faint stench of cheese. A base of human sweat. And the unmistakable smell of semen, perhaps wafting from the tissue-filled wastebasket next to his cluttered desk."
    h "Please, have a seat."
    "You do so, reluctantly, after first fruitlessly scanning the room for a disinfecting wipe."
    h "Now, I have already read your resume, and I have to say I am impressed. Most impressed."
    m "Thank you."
    h "And I have to say, you are much more attractive in person than your masthead on Gaming Universalities."
    m "Err, thank you?"
    h "You are obviously a talented writer. And we here at IGN would love to have you on staff."
    h "I just need to ask you a few questions, to make sure you fit in here."
    h "Not everyone {i}gets{/i} what the IGN brand is about, and it's better to see up front if you share our philosophy before you waste our time."
    m "Understandable."
    "He takes out a legal pad."
    h "First question: Is it possible to have sex with a JPEG image?"
    menu:
        "Yes.":
            jump l3a
        "Technically yes, if you count masturbation as sex.":
            jump l3b
        "No.":
            jump l3c
        "Oh god no!":
            jump l3d
            
label l3a:
    h "Very good."
    $ points += 2
    jump l4
    
label l3b:
    h "Why yes, I do."
    h "Very good."
    $ points += 2
    jump l4
    
label l3c:
    h "I see..."
    jump l4
    
label l3d:
    h "Quite a strong reaction you have there."
    jump l4
    
label l4:
    "He takes a note on his legal pad."
    h "Second question. Fill in the blank: \"Gear of War 3 will _____\""
    menu:
        "Blow you away.":
            jump l4a
        "Rape your family and leave you screaming for more.":
            jump l4b
        "Be yet another silly exercise in pointless machismo at the expense of real storytelling.":
            jump l4c
        "Have even more screaming burly men than the first two.":
            jump l4d
        
label l4a:
    h "Classic IGN. I see you've read up on our style guide."
    $ points += 1
    jump l5
    
label l4b:
    h "Now that's what I'm talking about!"
    $ points += 2
    jump l5
    
label l4c:
    h "Hrm..."
    jump l5
    
label l4d:
    h "Technically true, but the tone's a bit off."
    jump l5
    
label l5:
    "He makes another note on his legal pad."
    h "Question three: IGN needs a top ten list to round out the week's articles. Which subject is objectively best?"
    menu:
        "Top 10 Plot Twists in Videogame History.":
            jump l5a
        "Top 10 Puppies in Games.":
            jump l5b
        "Top 10 Gnarly Deaths in Online Multiplayer":
            jump l5c
        "Top 10 Top-Heavy Gaming Babes.":
            jump l5d
            
label l5a:
    h "Meh."
    jump l6
    
label l5b:
    h "You need to think {i}bigger{/i}."
    jump l6
    
label l5c:
    h "That could work."
    $ points += 1
    jump l6

label l5d:
    h "You read my mind! That's certain to bring in the pageviews."
    $ points += 2
    jump l6
    
label l6:
    h "Okay, one final question."
    h "Well, it's more of a request than a question."
    "He reaches under his desk."
    "Please tell me he's not doing what I think he's doing."
    h "One second..."
    "He fumbles around for a few seconds."
    "Eventually he slams a small handheld device on his desk."
    h "Like what you see?"
    "He waggles his eyebrows."
    m "Is that a..."
    h "Yep!"
    h "A Nintendo 3DS."
    h "Now, IGN has been given a prototype 3DS in order to write an exclusive hands on preview."
    h "We'll be the first media outlet to play with it outside of heavily restricted press events."
    h "We'll need to bolster our written experiences with plenty of photos and videos."
    h "So, final question..."
    h "What will you be willing to do, right this minute, on camera, with this 3DS in order to help our pageviews?"
    menu:
        "Play with it.":
            jump l6a
        "Lick it.":
            jump l6b
        "Play with it, in my underwear.":
            jump l6c
        "Play with it while playing with myself.":
            jump l6d
            
label l6a:
    h "That's all? Hrmph."
    jump l7
    
label l6b:
    h "Hot."
    $ points += 4
    jump l7
    
label l6c:
    h "Oh baby!"
    $ points += 6
    jump l7
    
label l6d:
    h "Fuck yeah! That's what I'm talking about!"
    $ points += 100
    jump l7
    
label l7:
    "He scribbles something down on his legal pad."
    if (points == 0):
        jump l7a
        
    if(points <= 3):
        jump l7b
        
    if(points <= 6):
        jump l7c
        
    if(points <= 12):
        jump l7d
        
    jump l7e
        
label l7a:
    h "So, yeah..."
    "He rises from his chair."
    h "You are completely at odds with IGN's brand identity."
    m "I believe that gives me an interesting new perspective."
    h "I don't. Our readers aren't looking for new perspectives."
    h "To be blunt, they just want to get gaming news and see tits."
    h "Thank you for your time, and I wish you the best in your job search."
    "He extends a sweaty palm your direction."
    "You shake it, and leave the office."
    "END"
    return
    
label l7b:
    h "So, yeah..."
    "He rises from his chair."
    h "I don't think you're quite the right fit for our company."
    h "Thank you for your time, and I wish you the best in your job search."
    "He extends a sweaty palm your direction."
    "You shake it, and leave the office."
    "END"
    return
    
label l7c:
    h "So, yeah..."
    "He rises from his chair."
    h "I'd like to say again that I love your work."
    "He licks his lips."
    h "I just don't quite see you fitting in here with IGN's unique brand."
    h "If you happen to need any help with your work in the future, just give me a ring."
    h "Thank you for your time, and I wish you the best in your job search."
    "He extends a sweaty palm your direction."
    "You shake it, and leave the office."
    "END"
    return
    
label l7d:
    h "Elsa, can I call you Elsa?"
    m "Sure."
    "He rises from his chair."
    h "I think you'll fit in here just fine."
    "He extends a sweaty palm your direction."
    "As you go to shake it, he pulls you into a weak embrace."
    h "Congratulations! You got the job!"
    "END"
    return
    
label l7e:
    h "You are exactly the breath of fresh air that this company needs!"
    "He pulls you into a weak embrace."
    h "Congratulations! You got the job!"
    "He pulls a camcorder out of his desk."
    h "Now let's go generate some epic pageviews."
    "END"
    
    
